%global testspec_version 3.6.3
%define with_tests 0

Summary:        Wrapper around libsass to compile CSS stylesheet
Name:           sassc
Version:        3.6.2
Release:        1%{?dist}
License:        MIT
URL:            http://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/sass/sass-spec/archive/libsass-%{testspec_version}/libsass-%{testspec_version}.tar.gz#/sass-spec-libsass-%{testspec_version}.tar.gz


BuildRequires:  automake, libtool, libsass-devel >= %{version}, make
BuildRequires:  gcc-c++
%if %{with_tests}
BuildRequires:  ruby
BuildRequires:  rubygem-hrx
BuildRequires:  rubygem-minitest
%endif

%description
SassC is a wrapper around libsass used to generate a useful command-line
application that can be installed and packaged for several operating systems.


%prep
%autosetup -a 1
mv sass-spec-libsass-%{testspec_version} sass-spec



%build
autoreconf -fiv
%configure
%make_build 


%install
%make_install


%if %{with_tests}
%check
rm sass-spec/spec/basic/12_pseudo_classes_and_elements.hrx
rm sass-spec/spec/basic/44_bem_selectors.hrx
rm sass-spec/spec/extend-tests/018_test_id_unification.hrx
rm sass-spec/spec/extend-tests/065_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/066_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/067_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/068_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/070_test_pseudo_unification.hrx
rm sass-spec/spec/extend-tests/071_test_pseudo_unification.hrx
rm sass-spec/spec/extend-tests/074_test_pseudo_unification.hrx
rm sass-spec/spec/extend-tests/087_test_negation_unification.hrx
rm sass-spec/spec/libsass-closed-issues/issue_2520.hrx
ruby sass-spec/sass-spec.rb -c ./%{name} --impl libsass sass-spec/spec
%endif


%files
%license LICENSE
%doc Readme.md
%{_bindir}/%{name}


%changelog
* Mon Dec 25 2023 Chair <chairou@tencent.com> - 3.6.2-1
- Init
